Bug 163935

Summary: Evince consumes large amounts of CPU and renders slowly
Product: [Fedora] Fedora Reporter: Rodd Clarkson <rodd>
Component: evinceAssignee: Kristian Høgsberg <krh>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: oliva, triage
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: bzcl34nup
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 17:07:25 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
This three page PDF takes considerable time to display none

Description Rodd Clarkson 2005-07-22 05:12:47 UTC
Description of problem:

Opening http://unitingchurch.org.au/media/guide.pdf results in evince consuming
100% of CPU (2.0GHz Centrino running at 800MHz) for about 45 seconds after
opening the file.

Also, scolling to various parts of the document (bottom, middle, top) quickly
often results in the CPU consuming 100% of cycles and can take some time for
text to appear on the page making the experience less than enjoyable.

Initially evince seems to rending content quickly at low quality, and then
re-renders content at a much superior quality.  However, after a few scrolls up
and down, this initial low quality rending seems to cease to function and
getting anything rendered on the page can take some time (5 seconds to 1 minute
approx).


Version-Release number of selected component (if applicable):
evince-0.3.1-2
poppler-0.3.3-1


How reproducible:

Very reproducable and not just limited to the document listed above.

Steps to Reproduce:
1. Open PDF (or other???) file in evince, either from a website or from the
local file system
2. Scroll up and down to various parts of the document.

  
Actual results:

Evince consumes the CPU cycles and eventually starts taking time to render
content on the page.

Expected results:

Evince renders the visible part of the document quickly.

Comment 1 Hal Canary 2006-07-31 15:20:35 UTC
Here I open a document (a three page bill from my ISP) in both evince and xpdf,
wait for the first page to render and then close the viewer.  Evince took 22
seconds.  Xpdf took 3 seconds.  What's the problem with evince.

----------------------------------------------
$ time evince tmp/BillImage.pdf

(evince:2904): Gtk-CRITICAL **: gtk_tree_model_foreach: assertion
`GTK_IS_TREE_MODEL (model)' failed

(evince:2904): Gtk-CRITICAL **: gtk_list_store_clear: assertion
`GTK_IS_LIST_STORE (list_store)' failed

real    0m22.592s
user    0m21.241s
sys     0m0.448s

----------------------------------------------
$ time xpdf tmp/BillImage.pdf

real    0m2.587s
user    0m0.396s
sys     0m0.048s

----------------------------------------------
$ cat /etc/fedora-release
Fedora Core release 5 (Bordeaux)
$ rpm -qf /usr/bin/evince
evince-0.5.1-3


Comment 2 Hal Canary 2006-12-19 18:55:35 UTC
Things are getting better:
----------------------------------------------
[~]$ time xpdf Congressional_Districts_-_109th_Congress.pdf
XtUngrabButton(drawArea,3,0)
Warning: Attempt to remove nonexistent passive grab

real    0m6.810s
user    0m5.692s
sys     0m0.184s
[~]$ time evince Congressional_Districts_-_109th_Congress.pdf

real    0m10.123s
user    0m8.577s
sys     0m0.236s
[~]$ 
----------------------------------------------
[~]$ cat /etc/fedora-release
Fedora Core release 6 (Zod)
[~]$ rpm -qf /usr/bin/evince
evince-0.6.0-5.fc6
[~]$ 


Comment 3 Bug Zapper 2008-04-03 16:15:44 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 4 Rodd Clarkson 2008-04-05 23:35:59 UTC
Right, while this seems improved, I've found a PDF that doesn't load very fast,
so I'm reopening this bug.

I'll attach the PDF for examination

Comment 5 Rodd Clarkson 2008-04-05 23:40:04 UTC
Created attachment 301402 [details]
This three page PDF takes considerable time to display

Comment 6 Bug Zapper 2008-05-14 02:00:59 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 7 Bug Zapper 2009-06-09 22:02:22 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 8 Bug Zapper 2009-07-14 17:07:25 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.